curl --request PATCH \
--url https://sandbox.cashfree.com/pg/easy-split/vendors/{vendor_id} \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"status": "ACTIVE",
"name": "customer",
"email": "johndoe@cashfree.com",
"phone": 9876543210,
"verify_account": true,
"dashboard_access": true,
"schedule_option": 1,
"bank": {
"account_number": 12345678890,
"account_holder": "John Doe",
"ifsc": "HDFC019345"
},
"kyc_details": {
"account_type": "BUSINESS",
"business_type": "NBFC",
"uidai": 753624181019,
"gst": "11AAAAA1111A1Z0",
"cin": "L00000Aa0000AaA000000",
"pan": "BIAPA2934N",
"passport_number": "L6892603"
}
}
'{
"email": "johndoe@cashfree.com",
"status": "IN_BENE_CREATION",
"bank": {
"account_number": 26291800001191,
"account_holder": "JOHN DOE",
"ifsc": "YESB0000262"
},
"upi": null,
"phone": 9876543210,
"name": "customer",
"vendor_id": "TestAccount11",
"schedule_option": {
"settlement_schedule_message": "T+1 settlement at 11:00 AM",
"schedule_id": 1,
"merchant_default": false
},
"kyc_details": {
"account_type": "BUSINESS",
"business_type": "NBFC",
"pan": "AFDHK1234F",
"uidai": null,
"passport_number": null,
"driving_license": null,
"voter_id": null,
"gst": "11AAAAA1111A1Z0",
"cin": "L00000Aa0000AaA000000"
},
"dashboard_access": false,
"bank_details": null
}Update vendor Details
Use this API to edit the existing vendor details added to your EasySplit account. You can edit vendor details such as name, email, phone number, upi details, and any of the KYC details.
curl --request PATCH \
--url https://sandbox.cashfree.com/pg/easy-split/vendors/{vendor_id} \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"status": "ACTIVE",
"name": "customer",
"email": "johndoe@cashfree.com",
"phone": 9876543210,
"verify_account": true,
"dashboard_access": true,
"schedule_option": 1,
"bank": {
"account_number": 12345678890,
"account_holder": "John Doe",
"ifsc": "HDFC019345"
},
"kyc_details": {
"account_type": "BUSINESS",
"business_type": "NBFC",
"uidai": 753624181019,
"gst": "11AAAAA1111A1Z0",
"cin": "L00000Aa0000AaA000000",
"pan": "BIAPA2934N",
"passport_number": "L6892603"
}
}
'{
"email": "johndoe@cashfree.com",
"status": "IN_BENE_CREATION",
"bank": {
"account_number": 26291800001191,
"account_holder": "JOHN DOE",
"ifsc": "YESB0000262"
},
"upi": null,
"phone": 9876543210,
"name": "customer",
"vendor_id": "TestAccount11",
"schedule_option": {
"settlement_schedule_message": "T+1 settlement at 11:00 AM",
"schedule_id": 1,
"merchant_default": false
},
"kyc_details": {
"account_type": "BUSINESS",
"business_type": "NBFC",
"pan": "AFDHK1234F",
"uidai": null,
"passport_number": null,
"driving_license": null,
"voter_id": null,
"gst": "11AAAAA1111A1Z0",
"cin": "L00000Aa0000AaA000000"
},
"dashboard_access": false,
"bank_details": null
}Authorizations
Client app ID. You can find your app id in the merchant dashboard.
Client secret key. You can find your secret in the merchant dashboard.
Headers
Body
Create Vendor Request Body.
Update Vendor Request
Specify the vendor email ID that should be updated. String in email ID format (Ex:johndoe_1@cashfree.com) should contain @ and dot (.)
Specify the settlement cycle to be updated. View the settlement cycle details from the "Settlement Cycles Supported" table. If no schedule option is configured, the settlement cycle ID "1" will be in effect. Select "8" or "9" if you want to schedule instant vendor settlements.
Response
Update Vendor Success Response.
Update Vendor Response
